Summary: 	A compact getty program for virtual consoles only
Name: 		mingetty
Version: 	1.07
Release: 	%mkrel 7
Group: 		System/Base
License:	GPL
URL:		ftp://jurix.jura.uni-sb.de/pub/linux/source/system/daemon/
Source0: 	ftp://jurix.jura.uni-sb.de/pub/linux/source/system/daemons/%{name}-%{version}.tar.bz2
Patch0:		mingetty-1.00-opt.patch
BuildRequires:  dietlibc-devel	>= 0.29
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The mingetty program is a lightweight, minimalist getty program for
use only on virtual consoles.  Mingetty is not suitable for serial
lines (you should use the mgetty program instead for that purpose).

%prep
%setup -q
%patch0 -p1 -b .opt

%build
%serverbuild

make \
    CC="diet gcc" \
    CFLAGS="-Os -Wall -pipe -D_GNU_SOURCE -D_BSD_SOURCE" \
    LDFLAGS="-Os -static -s"

mv mingetty mingetty-DIET
make clean
	    
%make RPM_OPTS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
install -D mingetty %{buildroot}/sbin/mingetty
install mingetty-DIET %{buildroot}/sbin/mingetty-DIET
install -D mingetty.8 %{buildroot}%{_mandir}/man8/mingetty.8

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) /sbin/mingetty
%attr(755,root,root) /sbin/mingetty-DIET
%{_mandir}/man8/mingetty.8*


%changelog
* Wed Jul 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.07-7mdv2008.0
+ Revision: 55260
- rebuild with %%serverbuild option


* Tue Feb 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.07-6mdv2007.0
+ Revision: 120341
- move binaries to /sbin

* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.07-5mdv2007.1
+ Revision: 119912
- Import mingetty

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.07-4mdk
- Rebuild

* Wed Jan 26 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.07-3mdk
- dotnuke

* Wed Jan 26 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.07-2mdk
- provide a dietized mingetty too

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.07-1mdk
- 1.07
- really compile with $RPM_OPT_FLAGS
- cosmetics

